Commit 887111c9 authored by alice's avatar alice 🗡
Browse files

community/emacs: disable gccjit

apparently very unusable on ancient hardware, and i don't feel like
making more subpackages
parent 31cae86e
......@@ -2,15 +2,14 @@
# Contributor: Timo Teräs <timo.teras@iki.fi>
pkgname=emacs
pkgver=28.1
pkgrel=2
pkgrel=3
pkgdesc="The extensible, customizable, self-documenting real-time display editor"
arch="all"
depends="emacs-nox"
url="https://www.gnu.org/software/emacs/emacs.html"
license="GPL-3.0-or-later"
makedepends="autoconf automake linux-headers gawk ncurses-dev
ncurses-libs gnutls-dev gmp-dev jansson-dev harfbuzz-dev
libgccjit-dev"
ncurses-libs gnutls-dev gmp-dev jansson-dev harfbuzz-dev"
subpackages="$pkgname-doc $pkgname-nox"
source="https://ftp.gnu.org/gnu/emacs/emacs-$pkgver.tar.xz
no-git-repo.patch"
......@@ -52,10 +51,9 @@ _build_variant() {
--with-gpm \
--with-harfbuzz \
--with-json \
--with-native-compilation \
"${@}"
# precompile emacs .el files to not compile at startup
make NATIVE_FULL_AOT=1
make
}
_build_x11() {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment